%global mod_name ssh-cli-auth-module
%global short_name ssh-cli-auth

Name:           jenkins-ssh-cli-auth
Version:        1.2
Release:        5%{?dist}
Summary:        Jenkins SSH CLI client authenticator

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/ssh-cli-auth-module
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Taken from http://opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.jenkins-ci.modules:instance-identity)
BuildRequires:  mvn(org.jenkins-ci.tools:maven-hpi-plugin)

BuildArch:      noarch

%description
This package provides Jenkins module for authenticating CLI clients using SSH
keys.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%mvn_package ::jm: __noinstall

%pom_remove_parent
%mvn_package "::jm::" __noinstall

cp %{SOURCE1} .

%build
# tests are disabled: "package org.jvnet.hudson.test does not exist"
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt

%changelog
* Thu Nov 13 2014 Michal Srb <msrb@redhat.com> - 1.2-5
- Do not install ::jm: artifact

* Mon Jun 23 2014 Michal Srb <msrb@redhat.com> - 1.2-4
- Do not install artifacts with "jm" extension

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 24 2014 Michal Srb <msrb@redhat.com> - 1.2-2
- Clarify why tests are disabled

* Fri Nov 08 2013 Michal Srb <msrb@redhat.com> - 1.2-1
- Initial packaging

